package file;

import java.util.Objects;

public class FilePosition {

    private String fileName;
    private int lineNumber;
    private int columnNumber;

    public FilePosition(String fileName) {
        this.fileName = fileName;
    }
    
    public String getFileName() {
        return fileName;
    }
    
    public int getLineNumber() {
        return lineNumber;
    }
    
    public void setLineNumber(int lineNumber) {
        this.lineNumber = lineNumber;
    }
    
    public int getColumnNumber() {
        return columnNumber;
    }
    
    public void setColumnNumber(int columnNumber) {
        this.columnNumber = columnNumber;
    }

    public boolean isEqual(FilePosition otherFilePosition) {
        return Objects.equals(this.fileName, otherFilePosition.fileName) && (this.lineNumber == otherFilePosition.lineNumber)
               && (this.columnNumber == otherFilePosition.columnNumber);
    }
}